<?php

// Reminder: always indent with 4 spaces (no tabs).
// +---------------------------------------------------------------------------+
// | wkyMlmgUser Plugin 1.2                                                    |
// +---------------------------------------------------------------------------+
// | language/japanese_utf-8.php                                               |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2008-2012 hiroron  - hiroron AT hiroron DOT com             |
// |                                                                           |
// | Author:                                                                   |
// | Constructed with the Universal Plugin                                     |
// | Copyright (C) 2002 by the following authors:                              |
// | Tom Willett                 -    twillett@users.sourceforge.net           |
// | Blaine Lang                 -    langmail@sympatico.ca                    |
// | The Universal Plugin is based on prior work by:                           |
// | Tony Bibbs                  -    tony@tonybibbs.com                       |
// |                                                                           |
// | modified by mystral-kk      - geeklog AT mystral-k DOT net                |
// | modified by dengen          - dengen AT mail DOT trybase DOT com          |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//
// $Id$

$LANG_WMMA = array (
    'pi_name'           => 'wkymlmguser',
    'display_name'      => 'メルマガユーザ',
    'menu_title'        => 'メルマガユーザ',
    'plugin'            => 'メルマガユーザプラグイン',
    'access_denied'     => 'アクセスは拒否されました。',
    'access_denied_msg' => 'このページにアクセスできるのは，Rootユーザだけです。あなたのユーザ名とIPアドレスは記録されました。',
    'admin'             => 'メルマガユーザプラグイン管理',
    'install_header'    => 'メルマガユーザプラグインのインストール/アンインストール',
    'installed'         => 'メルマガユーザプラグインはインストールされています。',
    'uninstalled'       => 'メルマガユーザプラグインはインストールされていません。',
    'install_success'   => 'メルマガユーザプラグインのインストールに成功しました。',
    'install_failed'    => 'メルマガユーザプラグインのインストールに失敗しました。詳細はエラーログ(error.log)をご覧ください。',
    'uninstall_msg'     => 'メルマガユーザプラグインはアンインストールされました。',
    'install'           => 'インストール',
    'uninstall'         => 'アンインストール',
    'warning'           => '警告！　メルマガユーザプラグインは有効なままです。',
    'enabled'           => 'アンインストールする前に，メルマガユーザプラグインを無効にしてください。',
    'readme'            => 'ちょっと待って！　「インストール」をクリックする前に，お読みください：',
    'installdoc'        => 'インストール手順書',

    // for stats
    'stats_headline'    => 'メルマガユーザ(上位10件)',
    'stats_email'       => 'メールアドレス',
    'stats_regdate'     => '登録日',
    'stats_uid'         => 'メルマガユーザID',
    'stats_value'       => '件',
    'stats_no_value'    => 'データがありません。',
    
    // for admin
    'manager'           => 'メルマガユーザ管理',
    'instructions'      => 'データを修正，削除する場合は各データの「編集」アイコンをクリックしてください。新規作成は「新規作成」をクリックしてください。',
    
    // for useraction
    //  -- create
    'create_from_mode' => 'create',
    'create_from_mode_exec' => 'execcreate',
    'create_from_title' => 'メールマガジン登録',
    'create_from_msg' => 'メールアドレスをご登録いただくと，メールマガジンが届きます。',
    'create_from_msg_end' => 'メールマガジンへのご登録ありがとうございます。',
    'create_from_input_mail' => 'メールアドレス',
    'create_from_input_remail' => '（確認）メールアドレス',
    'create_from_alert' => '',
    'create_from_input_submit' => 'メールマガジン登録',
    //  -- delete
    'delete_from_mode' => 'delete',
    'delete_from_mode_exec' => 'execdelete',
    'delete_from_title' => 'メールマガジン退会',
    'delete_from_msg' => 'メールアドレスをご入力いただくと，メールマガジンから退会できます。',
    'delete_from_msg_end' => 'メールマガジンから退会いたしました。',
    'delete_from_input_mail' => 'メールアドレス',
    'delete_from_input_remail' => '（確認）メールアドレス',
    'delete_from_alert' => '',
    'delete_from_input_submit' => 'メールマガジン退会',
    //  -- mail
    'mailform_new' => 'メルマガ送信',
    'mailform_mode' => 'mail',
    'mailform_mode_exec' => 'mailsending',
    'mailform_title' => 'メールマガジン送信',
    'mailform_from' => '送信者名',
    'mailform_replyto' => '返信先',
    'mailform_subject' => '件名',
    'mailform_body' => '内容',
    'mailform_options' => 'オプション',
    'mailform_html' => 'HTML',
    'mailform_urgent' => '緊急！',
    'mailform_send' => 'メルマガを送信する',
    'mailform_msg_mailresult' => "<successcount> 件のメルマガの送信に成功し，<failcount> 件のメルマガの送信には失敗しました。",
    'mailform_msg_mailresult_detail' => "個別のメルマガの送信状態は次のとおりです。",
    'mailform_msg_mailresult_link' => "<a href=\"{$_CONF['site_admin_url']}//plugins/wkymlmguser/index.php?mode=mail\">別のメルマガを送信</a>するか，<a href=\"{$_CONF['site_admin_url']}/moderation.php\">管理画面に戻る</a>ことができます",
    'mailform_mail_failure' => '送信失敗',
    'mailform_mail_success' => '送信成功',
    'mailform_msg_not_failure' => '失敗したものはありません',
    'mailform_msg_not_success' => '成功したものはありません',
    'mailform_error_input' => 'すべてのフィールドに入力してください。',
    //  -- import
    'importform_new' => '一括登録',
    'importform_mode' => 'importform',
    'importform_mode_exec' => 'import',
    'importform_title' => 'メールマガジンユーザの一括登録',
    'importform_message' => 'メールマガジンユーザをGeeklogに一括登録できます（重複チェック付き）。一括登録するファイルのユーザは一行あたり一人ずつで、各ユーザのデータは「メールアドレス」です。ファイルはかならず本サイトと同じ文字コードのテキスト形式で保存してください。',
    'importform_file' => 'パス',
    'importform_submit' => '実行',
    'importform_user' => '新規ユーザ',
    'importform_result' => '処理が完了しました。%d 件登録が成功しました。%d 件のエラーが発生しました',
    //  -- error
    'mail_not_mail' => 'メールアドレスを入力してください。',
    'mail_not_match' => 'メールアドレスが一致しません。',
    'mail_not_db_match' => 'メールアドレスが存在しません。入力内容をご確認ください。',
    //  -- batchdelete
    'batchdelete_new' => '一括削除',
    'batchdelete_mode' => 'batchdelete',
    'batchdelete_mode_exec' => 'batchdeleteexec',
    'batchdelete_old_desc' => '過去のユーザ',
    'batchdelete_old_txt1' => '単に ',
    'batchdelete_old_txt2' => 'ヶ月以上前のユーザ。',
    'batchdelete_recent_desc' => '最近のユーザ',
    'batchdelete_recent_txt1' => '最後に登録したユーザ ',
    'batchdelete_recent_txt2' => ' ヶ月の間に登録したユーザ',
    'batchdelete_instruction' => '削除したいユーザの種類を選択して「リスト更新」をクリックしてください。次に，削除したくないユーザのチェックを外して「削除」アイコンをクリックしてください。このリストがページをまたがっている場合，現在表示されているユーザしか削除されないことに注意してください。',
    'batchdelete_updatelist' => 'リストを更新',
    'batchdelete_msg_not_select' => '削除するユーザが選択されていません',
    'batchdelete_msg_not_delete' => '削除できませんでした',
    'batchdelete_msg_delete' => '削除されました',
);

// Localization of the Admin Configuration UI
$LANG_configsections['wkymlmguser'] = array(
    'label' => 'メルマガユーザー',
    'title' => 'メルマガユーザーの設定'
);

$LANG_confignames['wkymlmguser'] = array(
    'wkymlmguserloginrequired' => 'ログインを要求する',
    'hidewkymlmgusermenu' => 'メニューに表示しない',
    'sending_report_detail_success' => '個別の送信成功状況を表示する',
    'sending_report_detail_failure' => '個別の送信失敗状況を表示する',
    'verbose_import_disp_success' => '一括登録時、個別の成功状況を表示する',
    'verbose_import_disp_failure' => '一括登録時、個別の失敗状況を表示する',
    'verbose_import_log_success' => '一括登録時、個別の成功状況をログへ出力する',
    'verbose_import_log_failure' => '一括登録時、個別の失敗状況をログへ出力する'
);

$LANG_configsubgroups['wkymlmguser'] = array(
    'sg_main' => '主要設定'
);

$LANG_tab['wkymlmguser'] = array(
    'tab_main' => 'メルマガユーザーの主要設定',
);

$LANG_fs['wkymlmguser'] = array(
    'fs_main' => 'メルマガユーザーの主要設定',
);

// Note: entries 0, 1, and 12 are the same as in $LANG_configselects['Core']
$LANG_configselects['wkymlmguser'] = array(
    0 => array('はい' => 1, 'いいえ' => 0),
    1 => array('はい' => TRUE, 'いいえ' => FALSE),
);

?>