<?php

// Reminder: always indent with 4 spaces (no tabs).
// +---------------------------------------------------------------------------+
// | wkyMlmgUser Plugin for Geeklog 1.4.1                                      |
// +---------------------------------------------------------------------------+
// | public_html/wkymlmguser/index.php                                         |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2008 hiroron  - hiroron AT hiroron DOT com                  |
// |                                                                           |
// | Author:                                                                   |
// | Constructed with the Universal Plugin                                     |
// | Copyright (C) 2002 by the following authors:                              |
// | Tom Willett                 -    twillett@users.sourceforge.net           |
// | Blaine Lang                 -    langmail@sympatico.ca                    |
// | The Universal Plugin is based on prior work by:                           |
// | Tony Bibbs                  -    tony@tonybibbs.com                       |
// |                                                                           |
// | modified by mystral-kk      - geeklog AT mystral-k DOT net                |
// | modified by dengen          - dengen AT mail DOT trybase DOT com          |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//
// $Id$

require_once '../lib-common.php';

function create_html ($msg = '') {
    global $_CONF, $LANG_WMMA, $LANG04;
    $retval = '';
    if (!empty($msg)) {
        $retval .= COM_startBlock( $LANG04[21], '', COM_getBlockTemplate ('_msg_block', 'header'))
                 . $msg
                 . COM_endBlock( COM_getBlockTemplate('_msg_block', 'footer') );
    }
    $mail = isset($_POST['mail']) ? $_POST['mail'] : '';
    $remail = isset($_POST['remail']) ? $_POST['remail'] : '';
    $T = new Template( $_CONF['path'] . 'plugins/wkymlmguser/templates' );
    $T->set_file( 'page', 'index.thtml' );
    $T->set_var( 'site_url', $_CONF['site_url'] );
    $T->set_var( 'mode', $LANG_WMMA['create_from_mode_exec'] );
    $T->set_var( 'title', $LANG_WMMA['create_from_title'] );
    $T->set_var( 'message', $LANG_WMMA['create_from_msg'] );
    $T->set_var( 'label_mail', $LANG_WMMA['create_from_input_mail'] );
    $T->set_var( 'label_remail', $LANG_WMMA['create_from_input_remail'] );
    $T->set_var( 'label_submit', $LANG_WMMA['create_from_input_submit'] );
    $T->set_var( 'mail',  $mail);
    $T->set_var( 'remail',  $remail);
    $T->set_var( 'alert', $LANG_WMMA['create_from_alert'] );
    PLG_templateSetVars ('wkymlmguser', $T);
    $T->parse( 'output', 'page' );
    $retval .= $T->finish( $T->get_var( 'output' ) );
    return $retval;
}

function create_end_html () {
    global $_CONF, $LANG_WMMA;
    $T = new Template( $_CONF['path'] . 'plugins/wkymlmguser/templates' );
    $T->set_file( 'page', 'index_end.thtml' );
    $T->set_var( 'site_url', $_CONF['site_url'] );
    $T->set_var( 'title', $LANG_WMMA['create_from_title'] );
    $T->set_var( 'message', $LANG_WMMA['create_from_msg_end'] );
    $T->parse( 'output', 'page' );
    return $T->finish( $T->get_var( 'output' ) );
}

function delete_html ($msg = '') {
    global $_CONF, $LANG_WMMA, $LANG04;
    $retval = '';
    if (!empty($msg)) {
        $retval .= COM_startBlock( $LANG04[21], '', COM_getBlockTemplate ('_msg_block', 'header'))
                 . $msg
                 . COM_endBlock( COM_getBlockTemplate('_msg_block', 'footer') );
    }
    $mail = isset($_POST['mail']) ? $_POST['mail'] : '';
    $remail = isset($_POST['remail']) ? $_POST['remail'] : '';
    $T = new Template( $_CONF['path'] . 'plugins/wkymlmguser/templates' );
    $T->set_file( 'page', 'index.thtml' );
    $T->set_var( 'site_url', $_CONF['site_url'] );
    $T->set_var( 'mode', $LANG_WMMA['delete_from_mode_exec'] );
    $T->set_var( 'title', $LANG_WMMA['delete_from_title'] );
    $T->set_var( 'message', $LANG_WMMA['delete_from_msg'] );
    $T->set_var( 'label_mail', $LANG_WMMA['delete_from_input_mail'] );
    $T->set_var( 'label_remail', $LANG_WMMA['delete_from_input_remail'] );
    $T->set_var( 'label_submit', $LANG_WMMA['delete_from_input_submit'] );
    $T->set_var( 'mail',  $mail);
    $T->set_var( 'remail',  $remail);
    $T->set_var( 'alert', $LANG_WMMA['delete_from_alert'] );
    PLG_templateSetVars ('wkymlmguser', $T);
    $T->parse( 'output', 'page' );
    $retval .= $T->finish( $T->get_var( 'output' ) );
    return $retval;
}

function delete_end_html () {
    global $_CONF, $LANG_WMMA;
    $T = new Template( $_CONF['path'] . 'plugins/wkymlmguser/templates' );
    $T->set_file( 'page', 'index_end.thtml' );
    $T->set_var( 'site_url', $_CONF['site_url'] );
    $T->set_var( 'title', $LANG_WMMA['delete_from_title'] );
    $T->set_var( 'message', $LANG_WMMA['delete_from_msg_end'] );
    $T->parse( 'output', 'page' );
    return $T->finish( $T->get_var( 'output' ) );
}

/* 
* Main Function
*/

$mode='';
COM_setArgNames (array ('mode'));
$mode = COM_applyFilter(COM_getArgument ('mode'));
if (isset($_POST['mode'])) {
    $mode = $_POST['mode'];
    $mail = $_POST['mail'];
    $remail = $_POST['remail'];
    $msg = '';
    if (!COM_isemail($mail)) {
        $msg = $LANG_WMMA['mail_not_mail'];
    }
    if (empty($msg) && $mail != $remail) {
        $msg = $LANG_WMMA['mail_not_match'];
    }
    if (empty($msg) && $mode == $LANG_WMMA['create_from_mode_exec']) {
        $msg = PLG_itemPreSave ('wkymlmguser','');
    }
    if (empty($msg) && $mode == $LANG_WMMA['delete_from_mode_exec']) {
        $count = DB_count($_TABLES['wkymlmguser'],'email', $mail);
        if ($count <= 0) {
            $msg = $LANG_WMMA['mail_not_db_match'];
        }
    }
}

$display = COM_siteHeader();
if ($mode == $LANG_WMMA['create_from_mode_exec'] && empty($msg)) {
    $count = DB_count($_TABLES['wkymlmguser'],'email', $mail);
    if ($count < 1) {
        $regdate = strftime ('%Y-%m-%d %H:%M:%S', time ());
        $result = DB_save($_TABLES['wkymlmguser'],'email,regdate', "'$mail','$regdate'");
    }
    $display .= create_end_html();
} elseif ($mode == $LANG_WMMA['delete_from_mode_exec'] && empty($msg)) {
    $count = DB_count($_TABLES['wkymlmguser'],'email', $mail);
    if ($count > 0) {
        $result = DB_delete($_TABLES['wkymlmguser'],'email', "$mail");
    }
    $display .= delete_end_html();
} elseif ($mode == $LANG_WMMA['delete_from_mode'] || ($mode == $LANG_WMMA['delete_from_mode_exec'] && $msg)) {
    $display .= delete_html($msg);
} else {
    $display .= create_html($msg);
}
$display .= COM_siteFooter();

echo $display;

?>